%*************************************************************%
%                        Sudoku-Lser                         %
%                 Signalverarbeitende Systeme                 %
%         Studiengang Business and Systems Engineering        %
%                  Hochschule Hamm-Lippstadt                  %
%*************************************************************%
%                                                             %
% Autor:    Anika Leinhuser                                  %
%                                                             %
% Funktion: Das zu lsende klassische 9x9 Suduko-Rtsel wird  %
%           ber eine IP-Kamera fotografiert und in diesem    %
%           Programm gelst. Die Lsung wird dabei in das     %
%           fotografierte Rtsel in Matlab eingetragen.       %
%           Zustzlich bietet der Sudoku-Lser die Option an, %
%           ein Sudoku aus dem Verzeichnis zu lsen.          %
%                                                             %
%*************************************************************%
% Implementaion:   Matlab R2014a                              %
%                                                             %
% Letzte nderung: 18.06.2015                                 %
%                                                             %
%*************************************************************%



%% Bereinigen des Workspaces und des Command Windows
clear all
close all
clc

%% Funktionsaufruf zum Fotografieren und Einlesen eines Sudokurtsels
Sudoku_eingelesen = Sudoku_einlesen;

%% Funktionsaufruf zur persepektivischen Entzerrung
[Sudoku_entzerrt] = Sudoku_entzerren(Sudoku_eingelesen);

%% Funktionsaufruf zum Zuschneiden des Sudokurtsels
[Sudoku_zugeschnitten, Punkte] = Sudoku_zuschneiden(Sudoku_entzerrt);

%% Funktionsaufruf zum Identifizieren des Sudokurtsels
[Sudoku_Raetsel, Hoehe_Kaestchen, Breite_Kaestchen, SuchMatrix]  = Sudoku_identifizieren(Sudoku_zugeschnitten);

%% Funktionsaufruf zum Lsen des Sudokurtsels
Sudoku_geloest = Sudoku_loesen(Sudoku_Raetsel);

%% Funktionsaufruf zum Eintragen der Lsung
Sudoku_Loesung_eingetragen = Loesung_eintragen(Sudoku_entzerrt, Sudoku_Raetsel, Sudoku_geloest, Hoehe_Kaestchen, Breite_Kaestchen, SuchMatrix, Punkte);

%% Gelstes Sudoku anzeigen
figure('NumberTitle', 'off', 'Name', 'Lsung des Sudoku-Rtsels');
imshow(Sudoku_Loesung_eingetragen);
title(sprintf('Das Sudoku wurde erfolgreich gelst!'));