%*************************************************************%
%                        Sudoku-Lser                         %
%      Funktion zum zeilenweisen Lesen des Sudokurtsels      %
%*************************************************************%
%                                                             %
% Autor:    Anika Leinhuser,                                 %
%           Idee der Templates(Buchstaben-/Ziffernerkennung)  %
%           basierend auf Diego Barragn Guerrero             %
%                                                             %
% Funktion: Die Ziffern des Suduko-Rtsels werden             %
%           zeilenweise gelesen/gesucht.                      %
%                                                             %
%*************************************************************%
% Implementaion:   Matlab R2014a                              %
%                                                             %
% Toolbox:         Image Processing Toolbox                   %
%                                                             %
% Letzte nderung: 30.05.2015                                 %
%                                                             %
%*************************************************************%


function [Zeile1, Zeile9] = Sudoku_lesen(Zeilen_im_Sudoku)
%% Das Sudoku wird in Linien geteilt mit dem Ziel ein zeilenweises Lesen zu erreichen

Zeilen_im_Sudoku  = ZeilenSchneiden(Zeilen_im_Sudoku);
Zeilen            = size(Zeilen_im_Sudoku,1);

for z=1:Zeilen
    
    if sum(Zeilen_im_Sudoku(z,:))==0
        MatrixZeile_1           = Zeilen_im_Sudoku(1:z-1, :);
        MatrixZeilen_verblieben = Zeilen_im_Sudoku(z:end, :);
        
        Zeile1 = ZeilenSchneiden(MatrixZeile_1);
        Zeile9 = ZeilenSchneiden(MatrixZeilen_verblieben);
        break
    else
        Zeile1 = Zeilen_im_Sudoku; % bei einer einzigen Zeile
        Zeile9 = [ ];
    end
    
end % Funktionsende Sudoku_lesen

%% Unterfunktion, das Bild zeilenweise zu schneiden
function Sudoku_geschnitten = ZeilenSchneiden(Sudoku_ungeschnitten)
[y_Zeile, x_Zeile] = find(Sudoku_ungeschnitten);
Sudoku_geschnitten = Sudoku_ungeschnitten(min(y_Zeile):max(y_Zeile),min(x_Zeile):max(x_Zeile));
