%*************************************************************%
%                        Sudoku-Lser                         %
%        Funktion zum Erstellen der Ziffern-Templates         %
%*************************************************************%
%                                                             %
% Autor:    Anika Leinhuser,                                 %
%           Idee basierend auf Diego Barragn Guerrero        %
%                                                             %
% Funktion: Die Templates der einzelnen Ziffern werden        % 
%           erstellt.                                         %
%                                                             %
%*************************************************************%
% Implementaion:   Matlab R2014a                              %
%                                                             %
% Letzte nderung: 26.05.2015                                 %
%                                                             %
%*************************************************************%

function Templates = Templates_erstellen
%% Templates laden und mit einem Sobel-Filter nur die Kanten der Ziffern behalten
eins   = imread('Templates\eins.bmp');
zwei   = imread('Templates\zwei.bmp');
drei   = imread('Templates\drei.bmp');
vier   = imread('Templates\vier.bmp');
fuenf  = imread('Templates\fuenf.bmp');
sechs  = imread('Templates\sechs.bmp');
sieben = imread('Templates\sieben.bmp');
acht   = imread('Templates\acht.bmp');
neun   = imread('Templates\neun.bmp');

%% Templates in eine Microsoft Access Table (.mat) speichern
Templates = [eins zwei drei vier fuenf sechs sieben acht neun];
Templates = mat2cell(Templates,42,[24,24,24,24,24,24,24,24,24]);

end % Funktionsende Templates_erstellen

