%*************************************************************%
%                        Sudoku-Lser                         %
%         Funktion zum Konvertieren der Templates             %
%*************************************************************%
%                                                             %
% Autor:    Anika Leinhuser,                                 %
%           Idee basierend auf Diego Barragn Guerrero        %
%                                                             %
% Funktion: Die im Bild gefundenen Templates werden als Text  %
%           gespeichert.                                      %
%                                                             %
%*************************************************************%
% Implementaion:   Matlab R2014a                              %
%                                                             %
% Toolbox:         Image Processing Toolbox                   %
%                                                             %
% Letzte nderung: 26.05.2015                                 %
%                                                             %
%*************************************************************%


function Zahl=Templates_konvertieren(imagn,Ziffer_Moeglichkeiten)
%% Bild auf Templates suchen
global Templates
Vergleichsmatrix=[ ];

for n=1:Ziffer_Moeglichkeiten
    Korrelation=corr2(Templates{1,n},imagn);
    Vergleichsmatrix=[Vergleichsmatrix Korrelation];
end

%% Im Sudoku-Bild gefundene Templates als Text speichern
Template=find(Vergleichsmatrix==max(Vergleichsmatrix));

if Template==1
    Zahl='1';
elseif Template==2
    Zahl='2';
elseif Template==3
    Zahl='3';
elseif Template==4
    Zahl='4';
elseif Template==5
    Zahl='5';
elseif Template==6
    Zahl='6';
elseif Template==7
    Zahl='7';
elseif Template==8
    Zahl='8';
elseif Template==9
    Zahl='9';
else
    Zahl='0';
    
end % Funktionsende Templates_erstellen
